[1.0.1 ok] [request] I want a longclick method

Bug #1173112 reported by jinlong.chu on 2013-04-26
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Sikuli
Critical
RaiMan

Bug Description

--- fixed in 1.0.1: Settings.ClickDelay as "one-time-" pause between down and up

I want a longclick method for IOS app test

thanks

RaiMan (raimund-hocke) wrote :

use
mouseMove(some_image) # optional to get at the click point
mouseDown(Button.LEFT)
wait(any_time_you_want_in_seconds)
mouseUp()

put it in a

def longClick(time = 1, img = None):
    if img: mouseMove(img)
    mouseDown(Button.LEFT)
    wait(time)
    mouseUp()

usage
longClick(1.5) # mouse is already at the spot
longClick(1.5, some_image) # mouse has to be moved to the spot first

summary: - I want a longclick method
+ [request]I want a longclick method
Changed in sikuli:
status: New → In Progress
importance: Undecided → Low
importance: Low → Wishlist
assignee: nobody → RaiMan (raimund-hocke)

thanks

发自我的小米手机

RaiMan <email address hidden>编写:

>use
>mouseMove(some_image) # optional to get at the click point
>mouseDown(Button.LEFT)
>wait(any_time_you_want_in_seconds)
>mouseUp()
>
>put it in a
>
>def longClick(time = 1, img = None):
> if img: mouseMove(img)
> mouseDown(Button.LEFT)
> wait(time)
> mouseUp()
>
>usage
>longClick(1.5) # mouse is already at the spot
>longClick(1.5, some_image) # mouse has to be moved to the spot first
>
>
>** Summary changed:
>
>- I want a longclick method
>+ [request]I want a longclick method
>
>** Changed in: sikuli
> Status: New => In Progress
>
>** Changed in: sikuli
> Importance: Undecided => Low
>
>** Changed in: sikuli
> Importance: Low => Wishlist
>
>** Changed in: sikuli
> Assignee: (unassigned) => RaiMan (raimund-hocke)
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/1173112
>
>Title:
> [request]I want a longclick method
>
>Status in Sikuli:
> In Progress
>
>Bug description:
> I want a longclick method for IOS app test
>
>
> thanks
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/sikuli/+bug/1173112/+subscriptions

RaiMan (raimund-hocke) on 2013-05-06
Changed in sikuli:
importance: Wishlist → Medium
milestone: none → x1.1

How about extending the regular click() method with an optional time argument?
So
click(PSRML) works just as it does now, but
click(PSRML, time) forces an interval of time seconds into the click.

Just a suggestion.

RaiMan (raimund-hocke) wrote :

--1. when adding vital comments to existing bugs or questions, you should subscribe to the bug or question. I have done it for you here ;-)

--2. thanks for suggestion. As you might have noticed: I have it on the list for version 1.1.
Additionally, I will implement a Settings option ClickTime, that can be used for a series of click() actions.

Release time for next version is ?

At 2013-05-15 00:46:45,RaiMan <email address hidden> wrote:
>--1. when adding vital comments to existing bugs or questions, you
>should subscribe to the bug or question. I have done it for you here ;-)
>
>--2. thanks for suggestion. As you might have noticed: I have it on the list for version 1.1.
>Additionally, I will implement a Settings option ClickTime, that can be used for a series of click() actions.
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/1173112
>
>Title:
> [request]I want a longclick method
>
>Status in Sikuli:
> In Progress
>
>Bug description:
> I want a longclick method for IOS app test
>
>
> thanks
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/sikuli/+bug/1173112/+subscriptions

The final version SikuliX-1.0.0 will be available latest tomorrow
http://www.sikuli.org/download.html

But the "long click" is planned for version 1.1 during 2nd half of 2013, but might already come with the 1st service update 1.0.1 planned for end of July (plans are made beginning mid June)

RaiMan (raimund-hocke) on 2013-06-09
tags: added: fkt-click

sikuli-ide on win7 64bit can't start
please help me

thanks

发自我的小米手机

RaiMan <email address hidden>编写:

>The final version SikuliX-1.0.0 will be available latest tomorrow
>http://www.sikuli.org/download.html
>
>But the "long click" is planned for version 1.1 during 2nd half of 2013,
>but might already come with the 1st service update 1.0.1 planned for end
>of July (plans are made beginning mid June)
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/1173112
>
>Title:
> [request]I want a longclick method
>
>Status in Sikuli:
> In Progress
>
>Bug description:
> I want a longclick method for IOS app test
>
>
> thanks
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/sikuli/+bug/1173112/+subscriptions

what are the symptoms?

already tried

sikuli-ide.cmd d:3 -c

???

paste output

I installed the jdk-64bit
it can work
but , there is some warning

At 2013-07-06 23:27:40,RaiMan <email address hidden> wrote:
>what are the symptoms?
>
>already tried
>
>sikuli-ide.cmd d:3 -c
>
>???
>
>paste output
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/1173112
>
>Title:
> [request]I want a longclick method
>
>Status in Sikuli:
> In Progress
>
>Bug description:
> I want a longclick method for IOS app test
>
>
> thanks
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/sikuli/+bug/1173112/+subscriptions

RaiMan (raimund-hocke) wrote :

????
RaiMan does not have the second sight ;-)

so share the "some warning"

Raimund

Am 08.07.2013 um 15:17 schrieb "jinlong.chu" <jinlong605@163.com>:

I installed the jdk-64bit
it can work
but , there is some warning

At 2013-07-06 23:27:40,RaiMan <email address hidden> wrote:
> what are the symptoms?
>
> already tried
>
> sikuli-ide.cmd d:3 -c
>
> ???
>
> paste output
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1173112
>
> Title:
> [request]I want a longclick method
>
> Status in Sikuli:
> In Progress
>
> Bug description:
> I want a longclick method for IOS app test
>
>
> thanks
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/sikuli/+bug/1173112/+subscriptions

** Attachment added: "=?GBK?Q?=CE=DE=B1=EA=CC=E2.jpg?="
  https://bugs.launchpad.net/bugs/1173112/+attachment/3729159/+files/%3D%3FGBK%3FQ%3F%3DCE%3DDE%3DB1%3DEA%3DCC%3DE2.jpg%3F%3D

** Attachment added: "=?GBK?Q?=CE=DE=B1=EA=CC=E2.jpg?="
  https://bugs.launchpad.net/bugs/1173112/+attachment/3729160/+files/%3D%3FGBK%3FQ%3F%3DCE%3DDE%3DB1%3DEA%3DCC%3DE2.jpg%3F%3D

--
You received this bug notification because you are a bug assignee.
https://bugs.launchpad.net/bugs/1173112

Title:
 [request]I want a longclick method

Status in Sikuli:
 In Progress

Bug description:
 I want a longclick method for IOS app test

 thanks

To manage notifications about this bug go to:
https://bugs.launchpad.net/sikuli/+bug/1173112/+subscriptions

RaiMan (raimund-hocke) on 2013-07-16
Changed in sikuli:
status: In Progress → Fix Committed
importance: Medium → Critical
description: updated
RaiMan (raimund-hocke) on 2013-08-14
summary: - [request]I want a longclick method
+ [1.0.1 ok] [request] I want a longclick method
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers